Subject: Re: bug#49635: 28.0.50; project-switch-project dispatch command is overshadowed by evil-mode's g

From: Juri Linkov <[email-masked]>
Date: Mon, 19 Jul 2021 18:28:31 +0300

> When evil-mode is on, if I run project-switch-project and press the "g"
> key to attempt to execute the "Find regexp" action, I find that the key
> is intercepted, presumably by evil-mode, which uses "g" as a prefix key.

Instead of read-key-sequence, project-switch-project could use
read-char-from-minibuffer, or read-multiple-choice, or read-answer, etc.